| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Clock input selection
bladeRF2-specific API » Low-level accessors » Clock Buffer

## Description

## Enumerations
enum | bladerf_clock_select { CLOCK_SELECT_ONBOARD , CLOCK_SELECT_EXTERNAL }

## Functions
API_EXPORT int CALL_CONV | bladerf_get_clock_select (struct bladerf *dev, bladerf_clock_select *sel)
API_EXPORT int CALL_CONV | bladerf_set_clock_select (struct bladerf *dev, bladerf_clock_select sel)

## Enumeration Type Documentation

## ◆ bladerf_clock_select

enum bladerf_clock_select

Available clock sources

Enumerator
CLOCK_SELECT_ONBOARD | Use onboard VCTCXO
CLOCK_SELECT_EXTERNAL | Use external clock input

Definition at line 417 of file bladeRF2.h.

## Function Documentation

## ◆ bladerf_get_clock_select()

API_EXPORT int CALL_CONV bladerf_get_clock_select | ( | struct bladerf * | dev,
|  | bladerf_clock_select * | sel )

Get the selected clock source

Reference: https://www.silabs.com/documents/public/data-sheets/Si53304.pdf

Parameters

  | dev | Device handle
  [out] | sel | Clock input source currently in use

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_clock_select()

API_EXPORT int CALL_CONV bladerf_set_clock_select | ( | struct bladerf * | dev,
|  | bladerf_clock_select | sel )

Set the clock source

Reference: https://www.silabs.com/documents/public/data-sheets/Si53304.pdf

Parameters

  | dev | Device handle
  [in] | sel | Clock input source to use

Returns
  0 on success, value from Error codes list on failure